<template>
    <div class="h-100">
        <ob-table
            :items="dataSource"
            :columns="columns"
            :functionalPanel="true"
            is-fixed-header
            @select="onSelectionChanged"
        >

        </ob-table>
        <ob-modal title="Срок действия проверки" ref="VerificationModal">
            <verification-popup :data-source="selectedData" @close="$refs.VerificationModal.close()"/>
        </ob-modal>
    </div>
</template>

<script>
    import ObTable from "common-components/src/obComponents/obTable";
    import moment from 'moment'
    import ObModal from "common-components/src/obComponents/obModal";
    import VerificationPopup from "./modal/index";
    import { dictionary } from '@/translations/ru/dictionaries__sb_dictionaries__verification_date';

    moment.locale('ru')

    const validationPeriodList = [
        { name: 'Экспедитор', periodInDay: 180, status: true, createdAt: '21.11.2018' },
        { name: 'Клиент', periodInDay: 53, status: true, createdAt: '21.11.2018' },
        { name: 'Поставщик', periodInDay: 47, status: true, createdAt: '21.11.2018' },
        { name: 'Водитель',  periodInDay: 32, status: false, createdAt: '21.11.2018' },
        { name: 'Транспортное средство', periodInDay: 90, status: true, createdAt: '21.11.2018' }
    ]

    export default {
        name: "VerificationIndex",
        components: {VerificationPopup, ObModal, ObTable},
        computed: {
            columns () {
                return [
                    {
                        title: this.dictionaryRu.columns.name,
                        key: 'name'
                    },
                    {
                        title: this.dictionaryRu.columns.period,
                        key: 'periodInDay',
                        html: ({ periodInDay }) => moment.duration(periodInDay, "days").humanize()
                    },
                    {
                        title: this.dictionaryRu.columns.date,
                        key: 'createdAt'
                    }
                ]
            }
        },
        data () {
            return {
                selectedData: {},
                dataSource: validationPeriodList,
                dictionaryRu: dictionary
            }
        },
        methods: {
            onSelectionChanged (data) {
                this.selectedData = data
                this.$refs.VerificationModal.open()
            }
        }
    }
</script>

<style scoped>

</style>
